Subject: Re: [Sidrops] Martin Vigoureux's No Objection on draft-ietf-sidrops-rtr-keying-03: (with COMMENT)

From: Sean Turner <[email-masked]>
Date: Tue, 12 Feb 2019 21:26:02 -0500

> On Jan 24, 2019, at 08:16, Martin Vigoureux <[email-masked]> wrote:
> 
> Martin Vigoureux has entered the following ballot position for
> draft-ietf-sidrops-rtr-keying-03: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-sidrops-rtr-keying/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Hello,
> 
> thank you for this Document.
> I only have a couple of questions:
> 
>  In the operator-generated method, the operator SHOULD extract the
>  certificate from the PKCS#7 certs-only message, and verify that the
>  private key it holds corresponds to the returned public key.
> 
>  The router SHOULD extract the certificate from the PKCS#7 certs-only
>  message and verify that the public key corresponds to the stored
>  private key.
> 
> I believe SHOULD applies to extract and to verify, correct?
> But I wonder why isn't that a MUST, or asked differently, what could happen
> wrong if that verification was not done?
> 
> Thank you

Yes.  This is kind of a sanctity check before the router starts signing things.  If the CA/operator somehow blows it and returns the wrong certificate the router will catch this mistake.  If CA/operator somehow blows it and returns the wrong certificate (and never actually posts the right one) and the router doesn’t do this check then relying parties will not be able to verify the BGPsec messages.  It’s kind of like be good to neighbors ;). It’s really why it’s a SHOULD and not a MUST.

spt